### Microsimulation Procedure (D.4)

# Set working directory: 
setwd("Microsim D2L3")

# Set parameter values and draw shocks:
source("sim_setup.R")

# Run microsimulation: 
source("sim_D2L3.R")



### Network Types and Transformations (D.5)

# Set working directory: 
setwd("../Types D2L3")

# Enumerate types, list of (A,v) representations:
source("types.R")

# Generate transformations on types and objects listing payoff-relevant attributes:
source("tools.R")

# Extract type shares from one simulated network:
source("get_typeshares.R")

# Plot type shares from all stable simulated networks:
setwd("../Microsim D2L3")
source("sim_plots.R")
